/**********************************************************************
zyGrib: meteorological GRIB file viewer
Copyright (C) 2008-2010 - Jacques Zaninetti - http://www.zygrib.org

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
***********************************************************************/

#include "ColorScaleWidget.h" 
#include "DataQString.h" 


//---------------------------------------------------------------
ColorScaleWidget::ColorScaleWidget (QWidget *parent)
    : QDockWidget(parent)
{
	this->setAllowedAreas (Qt::LeftDockWidgetArea | Qt::RightDockWidgetArea);
	this->setWindowTitle (tr("Colors"));
	setVisible (false);
}

//---------------------------------------------------------------
void ColorScaleWidget::setDataCode 
					(const DataCode &dtc, DataColors *dataColors)
{
//DBGQS (DataCodeStr::toString(dtc));
	vecValues.clear ();
	vecColors.clear ();
	
	if (dataColors->getMapColorMinMaxStep (dtc, &min, &max, &step))
	{
		for (double v=max; v>=min-1.e-8; v-=step) {
				vecValues.push_back (v);
				QRgb rgb = dataColors->getDataCodeColor (dtc, v, true);
// 				DBG ("%f", v);
				vecValues.push_back (v);
				vecColors.push_back (rgb);
		}
	}
	update ();
}

