/*
 *  CustomQwtClasses.h
 *  zyGrib
 *
 *  Created by Tim on 25.11.10.
 *  All rights reserved.
 *
 */

#ifndef CUSTOMQWTCLASSES_H
#define CUSTOMQWTCLASSES_H

#include <qwt_scale_draw.h>
#include <qwt_plot_picker.h>
#include <QVector>
#include <QDateTime>

/*
 *  Custom Scale Draw Class
 */
class CustomQwtScale: 
	public QwtScaleDraw {

public:
	CustomQwtScale( const QVector<double> &, const QVector<double>& );
	CustomQwtScale( const QVector<double> &, const QVector<QString>& );
	
	virtual QwtText label( double ) const;
	
private:
	QVector<double>	 myOrig;
	QVector<double>  myRepl;
	QVector<QString> myReplStr;
};

/*
 *  Custom Plot Picker Class
 */
class CustomQwtPicker:
	public QwtPlotPicker {

public:
		CustomQwtPicker( int, int, int, RubberBand, DisplayMode, QwtPlotCanvas*, const QDateTime& );
protected:
		virtual QwtText trackerText( const QwtDoublePoint & ) const;
//		virtual QwtText trackerText( const QPoint & ) const;
private:
		QDateTime dt;
};

#endif
